Difference between revisions of "Template:Stack/styles.css"

From blackwiki
Jump to navigation Jump to search
test>Pppery
(Adding protection template)
test>Frietjes
(optional margin for floating objects without a margin)
Line 23: Line 23:
 
.stack-right {
 
.stack-right {
 
float: right;
 
float: right;
 +
}
 +
.stack-margin-clear-left {
 +
float: left;
 +
clear: left;
 +
margin-right:1em;
 +
}
 +
.stack-margin-clear-right {
 +
float: right;
 +
clear: right;
 +
margin-left:1em;
 +
}
 +
.stack-margin-left {
 +
float: left;
 +
margin-right:1em;
 +
}
 +
.stack-margin-right {
 +
float: right;
 +
margin-left:1em;
 
}
 
}
 
.stack-object {
 
.stack-object {

Revision as of 17:07, 14 July 2020

/* Styling for Template:Stack */
/* {{pp-template}} */
@media all and (max-width: 720px) {
    .mobile-float-reset {
		float: none !important;
		width: 100% !important;
	}
}
.stack-container {
	box-sizing: border-box;
}
.stack-clear-left {
	float: left;
	clear: left;
}
.stack-clear-right {
	float: right;
	clear: right;
}
.stack-left {
	float: left;
}
.stack-right {
	float: right;
}
.stack-margin-clear-left {
	float: left;
	clear: left;
	margin-right:1em;
}
.stack-margin-clear-right {
	float: right;
	clear: right;
	margin-left:1em;
}
.stack-margin-left {
	float: left;
	margin-right:1em;
}
.stack-margin-right {
	float: right;
	margin-left:1em;
}
.stack-object {
	margin: 1px;
	overflow: hidden;
}